<div class="animated fadeIn">
  <div class="card">
    <div class="card-header">
      <div class="card-header pl-1 pr-1 text-align-center align-items-center justify-content-between">
        <div class="row">
          <div class="col-2" style="margin-left: 1rem">
            <div class="float-left"><i class="fa fa-globe"></i> {{'monitor.traffic' | translate}}</div>
          </div>
          <div class="col-1">
            <button type="button" (click)="refresh()" class="btn btn-primary" style="margin-left: 1%"><i
              class="fa fa-refresh"></i>{{'common.refresh' | translate}}</button>
          </div>
          <div class="col-lg-1 col-md-2 pl-0 pr-0" style="text-align: right">
            {{'common.period' | translate}}
          </div>
          <div class="col-7">
            <app-period [(selectTime)]="selectTime"
                        [selectTimeOption]="selectTimeOption"
                        (changeValue)="selectTimeInterval($event)">
            </app-period>
          </div>
          <div class="float-right">
            <select class="form-control float-left" (change)="getTrafficByInterface($event.target.value)"
                    [(ngModel)]="selectedInterface">>
              <option [value]="interfaceOption.id" *ngFor="let interfaceOption of networkInterfaces">
                {{interfaceOption.name}}
              </option>
            </select>
          </div>
        </div>
      </div>
    </div>
    <div class="card-body">
      <div class="chart-wrapper">
        <div style="display: block;">
          <canvas baseChart class="chart" #baseChart='base-chart'
                  [datasets]="lineChartData"
                  [labels]="lineChartLabels"
                  [options]="lineChartOptions"
                  [legend]="lineChartLegend"
                  [chartType]="lineChartType"
                  [plugins]="lineChartPlugins"
                  (chartHover)="chartHovered($event)"
                  (chartClick)="chartClicked($event)"
          >
          </canvas>
        </div>
      </div>
    </div>
  </div>
  <div class=row>
    <div class="col-md-6">
      <div class="card">
        <div class="card-header d-flex align-items-center justify-content-between">
          <span class="float-left"><i class="fa fa-globe"></i> {{'monitor.status_code' | translate}}</span>
          <button type="button" (click)="refreshStatusCode()" class="btn btn-primary" style="margin-left: 1%"><i
            class="fa fa-refresh"></i>{{'common.refresh' | translate}}</button>
          <div class="d-flex align-items-center">
            <span class="pr-2">{{'common.period' | translate}} </span>
            <div class="col-4">
              <app-period [(selectTime)]="selectTimeStatusCode"
                          [selectTimeOption]="selectTimeOptionStatusCode"
                          (changeValue)="selectTimeIntervalStatusCode($event)"
              >
              </app-period>
            </div>
          </div>
        </div>
        <div class="card-body">
          <div class="chart-wrapper" *ngIf="httpCodeChartData">
            <canvas baseChart class="chart" #httpCodeChart='base-chart'
                    [datasets]="httpCodeChartData"
                    [labels]="lineChartLabels"
                    [options]="httpCodeChartOption"
                    [legend]="lineChartLegend"
                    [chartType]="lineChartType"
                    [plugins]="lineChartPlugins"
            >
            </canvas>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="card">
        <div class="card-header d-flex align-items-center justify-content-between">
          <span class="float-left"><i class="fa fa-globe"></i> {{'monitor.connection' | translate}}</span>
          <button class="float-left" type="button" (click)="refreshConnection()" class="btn btn-primary"><i
            class="fa fa-refresh"></i>{{'common.refresh' | translate}}</button>
          <div class="d-flex align-items-center">
            <span class="pr-2">{{'common.period' | translate}} </span>
            <app-period [(selectTime)]="selectTimeConnection"
                        [selectTimeOption]="selectTimeOptionConnection"
                        (changeValue)="selectTimeIntervalConnection($event)"
                        drop-type="right">
            </app-period>
          </div>
        </div>
        <div class="card-body">
          <div class="chart-wrapper">
            <div style="display: block;">
              <canvas baseChart class="chart" #connectionChart='base-chart'
                      [datasets]="lineChartDataConnection"
                      [labels]="lineChartLabels"
                      [options]="connectionChartOptions"
                      [legend]="lineChartLegend"
                      [chartType]="lineChartType"
                      [plugins]="lineChartPlugins"
              >
              </canvas>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

